<mat-card [appearance]="'outlined'">
    <mat-card-content>
        <div>
            <ng-template #viewContainerRef></ng-template>
        </div>
        <div>
            <div *ngIf="constraints.length">Length: {{constraints.length}}</div>
            <div *ngIf="constraints.minimalLength">Minimal Length: {{constraints.minimalLength}}</div>
            <div *ngIf="constraints.maximalLength">Maximal Length: {{constraints.maximalLength}}</div>
            <div *ngIf="constraints.set">
                Set:
                <div *ngFor="let value of constraints.set">{{value}}</div>
            </div>
            <div *ngIf="constraints.pattern">Pattern: {{constraints.pattern}}</div>
            <div *ngIf="constraints.minimalInclusive">Minimal inclusive: {{constraints.minimalInclusive}}</div>
            <div *ngIf="constraints.minimalExclusive">Minimal exclusive: {{constraints.minimalExclusive}}</div>
            <div *ngIf="constraints.maximalInclusive">Minimal inclusive: {{constraints.maximalInclusive}}</div>
            <div *ngIf="constraints.maximalExclusive">Maximal exclusive: {{constraints.maximalExclusive}}</div>
            <div *ngIf="constraints.unit">
                Unit:
                <div>Label: {{constraints.unit.label}}</div>
                <div>Factor: {{constraints.unit.factor}}</div>
                <div>Offset: {{constraints.unit.offset}}</div>
                <div>
                    Unit component:
                    <div>
                        SI unit:
                        {{constraints.unit.unitComponent.sIUnit}}
                        <span *ngIf="constraints.unit.unitComponent.sIUnit == 0">Dimensionless</span>
                        <span *ngIf="constraints.unit.unitComponent.sIUnit == 1">Meter</span>
                        <span *ngIf="constraints.unit.unitComponent.sIUnit == 2">Kilogram</span>
                        <span *ngIf="constraints.unit.unitComponent.sIUnit == 3">Second</span>
                        <span *ngIf="constraints.unit.unitComponent.sIUnit == 4">Ampere</span>
                        <span *ngIf="constraints.unit.unitComponent.sIUnit == 5">Kelvin</span>
                        <span *ngIf="constraints.unit.unitComponent.sIUnit == 6">DimeMolesionless</span>
                        <span *ngIf="constraints.unit.unitComponent.sIUnit == 7">Candela</span>
                    </div>
                    <div>Exponent: {{constraints.unit.unitComponent.exponent}}</div>
                </div>
            </div>
            <div *ngIf="constraints.contentType">
                Content type:
                <span>{{constraints.contentType.type}}/{{constraints.contentType.subtype}}</span>
                <span *ngIf="constraints.contentType.parameters">
                    ?
                    <span *ngFor="let parameter of constraints.contentType.parameters; index as index">
                        {{parameter.attribute}}={{parameter.value}}
                        <span *ngIf="index + 1 < constraints.contentType.parameters.length">,</span>
                    </span>
                </span>
            </div>
            <div *ngIf="constraints.elementCount">Element count: {{constraints.elementCount}}</div>
            <div *ngIf="constraints.minimalElementCount">Minimal element count: {{constraints.minimalElementCount}}</div>
            <div *ngIf="constraints.maximalElementCount">Maximal element count: {{constraints.maximalElementCount}}</div>
            <div *ngIf="constraints.fullyQualifiedIdentifierSpecified">
                Fully qualified identifier: 
                <span *ngIf="constraints.fullyQualifiedIdentifier == 0">Feature identifier</span>
                <span *ngIf="constraints.fullyQualifiedIdentifier == 1">Command identifier</span>
                <span *ngIf="constraints.fullyQualifiedIdentifier == 2">Command parameter identifier</span>
                <span *ngIf="constraints.fullyQualifiedIdentifier == 3">Command response identifier</span>
                <span *ngIf="constraints.fullyQualifiedIdentifier == 4">Intermediate command response identifier</span>
                <span *ngIf="constraints.fullyQualifiedIdentifier == 5">Defined execution error identifier</span>
                <span *ngIf="constraints.fullyQualifiedIdentifier == 6">Property identifier</span>
                <span *ngIf="constraints.fullyQualifiedIdentifier == 7">Type identifier</span>
                <span *ngIf="constraints.fullyQualifiedIdentifier == 8">Metadata identifier</span>
            </div>
            <div *ngIf="constraints.schema">
                Schema:
                <div>
                    <div>
                        Type:
                        <span *ngIf="constraints.schema.type == 0">XML</span>
                        <span *ngIf="constraints.schema.type == 1">JSON</span>
                    </div>
                    <div>Item: {{constraints.schema.item}}</div>
                    <div>
                        Item element name:
                        <span *ngIf="constraints.schema.itemElementName == 0">Inline</span>
                        <span *ngIf="constraints.schema.itemElementName == 1">URL</span>
                    </div>
                </div>
            </div>
            <div *ngIf="constraints.allowedTypes">
                Allowed types:
                <div *ngFor="let dataType of constraints.allowedTypes">{{stringifyDataType(dataType)}}</div>
            </div>
        </div>
    </mat-card-content>
</mat-card>